#! /usr/bin/env python

import sys

try:
    uin = sys.argv[1]
except IndexError:
    sys.exit("Usage: %s uin" % sys.argv[0])

url = "http://status.icq.com/online.gif?icq=%s&img=1" % uin

import socket
socket.setdefaulttimeout(30)

import urllib
protocol, request = urllib.splittype(url)
host, path = urllib.splithost(request)
host, port = urllib.splitport(host)
path, tag  = urllib.splittag(path)

import httplib
server = httplib.HTTP(host, port)

server.putrequest("HEAD", path)
server.putheader("Host", host)
server.endheaders()

status, reason, msg = server.getreply()
if status == 302:
   online = msg["Location"]
else:
   print >>sys.stderr, status, reason, msg
   sys.exit(1)

# Classify online status
if online == "/1/online0.gif":
   print "Offline"
elif online == "/1/online1.gif":
   print "Online"
elif online == "/1/online2.gif":
   print "Unknown/invisible"
else:
   print >>sys.stderr, "Unknown status", online
   sys.exit(1)
